Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Kopete missing from Debian upgrade repo
08-23-2018, 05:03 PM
Post: #1
Kopete missing from Debian upgrade repo
I upgraded my Debian 9 installation using the Neptune Plasma upgrade script, as documented here
https://neptuneos.com/en/news-reader/upg...-5-12.html

It is mostly working great (thanks guys!). However apt keeps telling me that the "kde-standard" package is available to update, but refuses to upgrade it because the version of Kopete is not correct. It would seem that Kopete is missing from the Neptune repo, so only the Debian standard version is available...

root@scrumpy:~ # apt update
Ign:1 http://ftp.uk.debian.org/debian stretch InRelease
Hit:2 http://ftp.uk.debian.org/debian stretch-backports InRelease
Hit:3 http://linux-packages.resilio.com/resilio-sync/deb resilio-sync InRelease
Hit:4 http://security.debian.org/debian-security stretch/updates InRelease
Hit:5 http://ftp.uk.debian.org/debian stretch Release
Hit:6 http://repository.spotify.com stable InRelease
Hit:7 http://packages.microsoft.com/repos/vscode stable InRelease
Hit:8 https://repo.skype.com/deb stable InRelease
Ign:9 https://mega.nz/linux/MEGAsync/Debian_9.0 ./ InRelease
Get:10 https://mega.nz/linux/MEGAsync/Debian_9.0 ./ Release [949 B]
Hit:11 https://download.neptuneos.com/repos/neptune5/repo-kde stretch InRelease
Hit:14 https://apt.dockerproject.org/repo debian-stretch InRelease
Fetched 949 B in 5s (162 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.

root@scrumpy:~ # apt list --upgradable
Listing... Done
kde-standard/stable 5:99neptune1 all [upgradable from: 5:92]
N: There is 1 additional version. Please use the '-a' switch to see it

root@scrumpy:~ # apt install kde-standard
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
kde-standard : Depends: kopete (>= 4:17.08.3) but 4:16.08.1-3 is to be installed
E: Unable to correct problems, you have held broken packages.

root@scrumpy:~ # apt list kopete -a
Listing... Done
kopete/stable,now 4:16.08.1-3 amd64 [installed,automatic]

Find all posts by this user
Quote this message in a reply
08-23-2018, 05:08 PM (This post was last modified: 08-23-2018 05:09 PM by leszek.)
Post: #2
RE: Kopete missing from Debian upgrade repo
Yes this is true.
Will be fixed in a few minutes.
Thanks for reporting.
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)